Status: Closed
Priority: Normal
Category:
Customer: CARIAD Product Issue

Numbers:
Department: Affected Products: ADTF 3.15.3
Requester's Priority: Normal Platform: Windows 10 64bit
Support Level: 2nd Level Topic: ADTF::Common
Resolution: Solved Issue FAQ Links:

Description
Support Request

We would like to run ADTF in a headless mode. Do you know if there is a flag that needs to be set. How can | do that?

Solution

The recommended way to start ADTF Sessions "headless" zu is by using ADTF Control.
You will find the commands in our Guides https://support.digitalwerk.net/adtf/v3/guides/tools_adtf control.html
or in control itself by using the adtf_control --help command.

Please be aware headless is meaning no GUI, therefore all plugins using XSystem or Qt dependencies will not work in your sessions
or adtfsystem file.

Same for the GUI Tools.

The launcher can be run directly or remote using ADTF Control, optionally in a batch/shell Script and/or Python.

History

#1 - 2023-02-16 07:24 - hidden

- Project changed from Public Support to 30
- Status changed from New to In Progress

- Customer set to CARIAD

- Topic set to ADTF::Common

#2 - 2023-02-16 07:38 - hidden
- Description updated

- Status changed from In Progress to Customer Feedback Required
Hello,
The recommended way to start ADTF Sessions "headless" zu is by using ADTF Control.

You will find the commands in our Guides https://support.digitalwerk.net/adtf/v3/guides/tools_adtf control.html
or in control itself by using the adtf_control --help command.

Please be aware headless is meaning no GUI, therefore all plugins using XSystem or Qt dependencies will not work in your sessions or adtfsystem
file.

Same for the GUI Tools.

The launcher can be run directly or remote using ADTF Control, optionally in a batch/shell Script and/or Python.

#3 - 2023-02-21 07:55 - hidden
- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue
https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_control.html
https://support.digitalwerk.net/adtf/v3/guides/tools_adtf_control.html

- Affected Products ADTF 3.15.3 added
- Platform Windows 10 64bit added

#4 - 2023-02-27 10:57 - hidden

- Description updated

#5 - 2023-04-03 07:31 - hidden
- Project changed from 30 to Public Support
- Status changed from To Be Closed to Closed

- Private changed from Yes to No
